Can I unlock iPhone for free using Ultrasn0w (software unlock)?


Unlock iPhone One of the most frequently asked questions that we get is whether it is possible to unlock your iPhone using Ultrasn0w, the software based unlocking solution.

The answer to that question is depends. It is possible to only unlock iPhone 3G, iPhone 3GS and iPhone 4, but there are some caveats. Read the article below for all the details.

Baseband version

The version of the baseband is the most important thing when it comes to unlocking your iPhone with ultrasn0w. The baseband is the low-level part of the iPhone that handles everything related to antennas such as calls and cellular networks. Since it is not possible to downgrade the baseband in most cases, Apple has made it very difficult to hack it.

To check your iPhone’s firmware, launch the Settings app, and navigate to General > About, and scroll down to Modem firmware. The value next to Modem Firmare is the baseband version.

When you install a new iOS software update, it may also include an update to the modem firmware.

Basebands that can be unlocked using Ultrasn0w

iPhone 4

01.59.00 (this was the firmware that came bundled with the iPhone 4, so you may still have this baseband if you haven’t upgraded to iOS 4.0.2 or preserved the baseband from being updated using Redsn0w).

iPhone 3G and iPhone 3GS

  • 04.26.08
  • 05.11.07
  • 05.12.01
  • 05.13.04

In case of the iPhone 3G, and iPhone 3GS which came with the older bootrom, you can use Redsn0w to install the iPad baseband (6.15.00), which is unlockable. However, the downside is that you can lose GPS functionality. You can however use Redsn0w to downgrade the device from the iPad baseband to an earlier unlockable baseband (05.13.04) to fix the GPS issue. This is a special case as you generally cannot downgrade the baseband.

You can check these articles for more details:

➤ Dev Team Releases Redsn0w 0.9.14b1; Allows iPhone 3GS Users to Downgrade From 06:15:00 Baseband

➤ Redsn0w 0.9.14b2 Brings Improved iPad Baseband (06:15:00) Downgrade

Basebands that cannot be unlocked using Ultrasn0w

iPhone 3G/iPhone 3GS:

  • 05.14.02
  • 05.15.04
  • 05.16.xx

But as mentioned above, you can upgrade to the iPad baseband, and downgrade back to the unlocked baseband (05.13.04).

iPhone 4:

  • 02.10.04
  • 03.10.01
  • 04.10.01
  • 04.11.08
  • 04.12.xx

The CDMA iPhone cannot be unlocked using Ultrasn0w.

iPhone 4s

  • 3.0.04
  • 3.4.01
  • 3.4.02
  • 3.4.03
  • 5.0.00
  • 5.4.00

Not supported by Ultrasn0w

iPhone 5

  • 1.00.16
  • 1.01.00
  • 3.04.25
  • 5.00.01
  • 5.02.00
  • 6.02.00
  • 7.03.00

None of the basebands supported by Ultrasn0w

iPhone 5s, iPhone 5c

  • 1.00.06
  • 1.02.02
  • 2.18.02
  • 3.09.01
  • 3.11.00

None of the basebands supported by Ultrasn0w

iPhone 6, iPhone 6 Plus

  • 1.00.05
  • 1.04.0

None of the basebands supported by Ultrasn0w

Summary

As you can see, it is not possible to unlock iPhones using Ultrasn0w since the fourth generation iPhone. There also hasn’t been any news or development on the software based unlocking method since Ultrasn0w 1.2.5 was released to unlock iPhone 4 and iPhone 3GS running iOS 5.0.1 with older basebands, which was back in late 2011.

Please feel to drop us a line in the comments if you’ve any questions. We’ll let you know as soon as there is an update. Don’t forget to join our Facebook Fan pagefollow us on Twitteradd us to your circles on Google+subscribe to our RSS feed or our Daily Newsletter for the latest updates on unlocking iPhone using software based method.

Like this post? Share it!

  • Thomas

    Thanks, this is exactly what I was looking for. I was all confused, and was hopeful I could unlock my iPhone 6 for free.

    Disappointing, but at least now I know it is not possible.

  • gaucho

    very good Andy, several times I had trouble knowing which baseband use in a release with this detailed description will help me in the future. thank you